Bug 1254497 - Operation [Registering Deployed Cache Store service...] happens too late on slower machines
Operation [Registering Deployed Cache Store service...] happens too late on s...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.6.0
Unspecified Unspecified
high Severity high
: DR2
: 6.6.0
Assigned To: Sebastian Łaskawiec
Martin Gencur
:
Depends On: 1223395
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 05:20 EDT by Sebastian Łaskawiec
Modified: 2018-01-29 20:45 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1223395
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5595 Minor Resolved Operation [Registering Deployed Cache Store service...] happens too late on slower machines 2017-09-21 16:14 EDT

  None (edit)
Comment 3 Tomas Sykora 2015-09-02 07:07:49 EDT
I verified this is no longer an issue with JDG 6.6.0.DR2 server.

And I used latest jdg jon plugins -- i.e. those staged with JDG 6.6.0.DR2 release (since now I was testing using released with 6.4.1 - now I switched to the newest one from PROD team)

For verification I used JON environment and bundle-like deployment, using procedures mentioned in comments here: https://bugzilla.redhat.com/show_bug.cgi?id=1213818

In short: 

* install jon
* install jdg and agents
* create new bundle
* use bundle recipe from ^ BZ 1213818
* pick up and upload cache store modified implementation snapshot from target dir on your local drive
* create a group for jdg server
* select bundle, click deploy
* select server group with jdg server
* deploy, specify installation folder - deployment field: /standalone/deployments
* finish

* go to the machine where jdg server is installed
* modify server config file manually
* add custom cache store (in my case: <store class="org.infinispan.CustomExternalStore" passivation="false"/> as this is my custom implementation, modified and built locally from jdg-ccs archetype)
* restart jdg server using jon UI
* check logs for outputs, cache store is registered and working
* all operations happened in time! (verifying this BZ)

Thank you Sebastian for a fix!
Comment 4 JBoss JIRA Server 2015-09-15 01:48:11 EDT
Sebastian Łaskawiec <slaskawi@redhat.com> updated the status of jira ISPN-5595 to Resolved

Note You need to log in before you can comment on or make changes to this bug.